# AbcRounding Class Reference

Rounding class. More...

`#include <AbcHeuristic.h>`

Inheritance diagram for AbcRounding:
[legend]
Collaboration diagram for AbcRounding:
[legend]

List of all members.

## Public Member Functions
| AbcRounding ()
| AbcRounding (AbcModel &model)
| AbcRounding (const AbcRounding &)
| ~AbcRounding ()
virtual AbcHeuristic * | clone () const
| Clone.
virtual void | setModel (AbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts
void | setSeed (int value)
| Set seed.
## Protected Attributes
CoinPackedMatrix | matrix_
CoinPackedMatrix | matrixByRow_
int | seed_
## Private Member Functions
AbcRounding & | operator= (const AbcRounding &rhs)
| Illegal Assignment operator.

## Detailed Description

Rounding class.

Definition at line 90 of file AbcHeuristic.h.

## Constructor & Destructor Documentation

AbcRounding::AbcRounding | ( |  | ) |

AbcRounding::AbcRounding | ( | AbcModel & | model | ) |

AbcRounding::AbcRounding | ( | const AbcRounding & |  | ) |

AbcRounding::~AbcRounding | ( |  | ) |

## Member Function Documentation

virtual AbcHeuristic* AbcRounding::clone | ( |  | ) | const`[virtual]`

Clone.

Implements AbcHeuristic.

virtual void AbcRounding::setModel | ( | AbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from AbcHeuristic.

virtual int AbcRounding::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements AbcHeuristic.

void AbcRounding::setSeed | ( | int | value | ) | `[inline]`

Set seed.

Definition at line 121 of file AbcHeuristic.h.

AbcRounding& AbcRounding::operator= | ( | const AbcRounding & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from AbcHeuristic.

## Member Data Documentation

CoinPackedMatrix AbcRounding::matrix_`[protected]`

Definition at line 128 of file AbcHeuristic.h.

CoinPackedMatrix AbcRounding::matrixByRow_`[protected]`

Definition at line 131 of file AbcHeuristic.h.

int AbcRounding::seed_`[protected]`

Definition at line 134 of file AbcHeuristic.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/Alps/examples/Abc/AbcHeuristic.h